Skip to main content

Update Loyalty Plan

API operation: Open the endpoint in Scalar

Use POST /loyalty_plans/{loyalty_plan_id} to update a loyalty plan. The current public operation is LoyaltyPlan.update.post.

This operation requires administrator authentication. Mutable fields can cover the plan's name, type, accumulation, redemption, maximum, and expiration settings.

See Loyalty plan model for the resource concepts.

OpenAPI reference​

Operation: POST /loyalty_plans/{loyalty_plan_id}

Path parameters

NameTypeRequiredDescription
loyalty_plan_idintegerYes—

Request body fields

NameTypeRequired
accumulation_ratenumberNo
businessesarray<any>No
expire_after_minutesinteger | nullNo
maximum_accumulationnumber | nullNo
maximum_redemption_ratenumberNo
maximum_redemption_typeinteger | nullNo
nameanyNo
redemption_ratenumberNo
typestringNo

Responses

CodeDescription
200OK (Envelope)
400Bad Request (ErrorResponse)
401Unauthorized
404Not Found
429Too Many Requests (ErrorResponse)
500Internal Server Error (ErrorResponse)
503Service Unavailable (ErrorResponse)
Open this operation in the API reference